Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class AbstractEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AbstractCollectionEvent, AbstractPreDatabaseOperationEvent, DeleteEvent, EvictEvent, FlushEntityEvent, FlushEvent, LoadEvent, LockEvent, MergeEvent, PersistEvent, PostDeleteEvent, PostInsertEvent, PostLoadEvent, PostUpdateEvent, PreLoadEvent, RefreshEvent, ReplicateEvent, ResolveNaturalIdEvent, SaveOrUpdateEvent

    public abstract class AbstractEvent

extends Object
implements Serializable

Defines a base class for Session generated events.

See Also:
  Serialized Form

Constructor Summary
`AbstractEvent(EventSource source)` Constructs an event from the given event session.

Method Summary
`EventSource` | `getSession()` Returns the session event source for this event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEvent

    public AbstractEvent(EventSource source)

  Constructs an event from the given event session.

  Parameters:
    `source` - The session event source.

Method Detail

### getSession

    public final EventSource getSession()

  Returns the session event source for this event. This is the underlying session from which this event was generated.

  Returns:
    The session event source.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.